Skip to Content
0

SAP NW AS ABAP 7.50 SP2 Install Issue

Oct 04, 2017 at 01:31 AM

769

avatar image
Former Member

#ABAP_Trial

I have tried to install this using Open Suse on a laptop. The install runs for quite some time and fails:

WARNING 2017-10-02 15:46:32.469 (root/sapinst) id=modlib.jslib.childAppReturn Execution of the command "isql64 -w999 -USAPSR3 -Svcalnplci:4901 -X" finished with return code 255. Output: Password: Msg 10513, Level 16, State 1: Server 'NPL': Temporary database based on specific binding could not be assigned. Since binding is hard, this results in a login failure. Msg 4002, Level 14, State 1: Server 'NPL': Login failed. CT-LIBRARY error: ct_connect(): protocol specific layer: external error: The attempt to connect to the server failed. INFO 2017-10-02

15:46:32.471 (root/sapinst) Working directory changed to /tmp/sapinst_instdir/NW73/SBC/STANDARD. ERROR 2017-10-02 15:46:32.472 (root/sapinst) id=ind-rel.ind-os.ind-db.assertionFailed errno=CJS-00030 Assertion failed: Unable to verify database access for login SAPSR3. Refer to trace file sapinst_dev.log for further information.


I have to my knowlege installed all pre-reqs:

  • csh – Ubuntu and Debian require you to install csh before you start the ABAP installation
  • libaio – SAP Sybase ASE requires the libaio library to start the installation
  • 32bit libraries – SAP Management Console (SAPMC) requires 32bit libraries (ia32,glibc.i686) for ASE related functionalities
  • uuidd – SAP AS ABAP requires the OS to run uuidd service to ensure the uniqueness of GUIDs. For more information – eg on why this is extremely important – please see archive thread 3379688: Is it mandatory to have uuidd for SAP installation
  • English – SAP AS ABAP requires that you configure English (LANG=en_US.UTF-8) as the operating system language

I do not know what else failed. Thanks for any help in advance. Get logs here:

https://mdocs.sap.com/mcm/public/v1/open?shr=MbUPkdtMIMBX3qJFE2vP0_noiRWeIu6LkRlNaMn0cEU


10 |10000 characters needed characters left characters exceeded
* Please Login or Register to Answer, Follow or Comment.

3 Answers

Julie Plummer
Oct 09, 2017 at 11:40 AM
0

Hi Dan,

One possible issue is that the ASE License may have expired. You can check this by opening the license file in a text editor (cat, nano):

sybase/NPL/SYSAM-2_0/licenses/SYBASE_ASE_TestDrive.lic

If the license has expired, the next question is Do you need SAP SLT?

If not, can you please install the newest version, 751 SP02:

SAP AS ABAP 751 SP02: Dev edition to download

and follow this, step-by-step guide:

SAP AS ABAP 751 SP02: Installation Guide

(The following overview page shows all valid versions as soon as available: Developer Editions of SAP AS ABAP ).

If you need SAP SLT, OR if your ASE license version is valid, please just let me know.

Show 2 Share
10 |10000 characters needed characters left characters exceeded

Best wishes Julie.

0
Former Member

Hi Julie

Thanks for your prompt response. But unfortunately I made a mistake and I did download the latest and greatest. My License expires March 31 2018. This does not seem to be a licensing issue. Anything else I can try?

0
avatar image
Former Member Oct 22, 2017 at 10:34 AM
0

Hi, please have a look on my answer

https://answers.sap.com/questions/305210/installation-of-npl-failed-error.html?childToView=335722#answer-335722 which seems to be the same issue.

Norbert

Share
10 |10000 characters needed characters left characters exceeded
avatar image
Former Member May 11 at 11:52 PM
0

I am getting Access to share has expired Message from SAP Developer Center. What can I do for it?

Share
10 |10000 characters needed characters left characters exceeded